FWTextInternal::ColumnInfo Struct Reference

Internal: class to store a ColumnInfo. More...

## Public Member Functions

| ColumnInfo ()

## Public Attributes

int | m_column
| the column number More...
Box2i | m_box
| the bdbox More...
int | m_beginPos
| the first data More...

## Friends

std::ostream & | operator<< (std::ostream &o, ColumnInfo const &c)
| operator<< More...

## Detailed Description

Internal: class to store a ColumnInfo.

## Constructor & Destructor Documentation

FWTextInternal::ColumnInfo::ColumnInfo | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ColumnInfo const & | c
| ) |  |

friend

operator<<

## Member Data Documentation

int FWTextInternal::ColumnInfo::m_beginPos

the first data

Referenced by FWText::readTextData().

Box2i FWTextInternal::ColumnInfo::m_box

the bdbox

Referenced by FWText::readTextData().

int FWTextInternal::ColumnInfo::m_column

the column number

Referenced by FWText::readTextData().

The documentation for this struct was generated from the following file:

- FWText.cxx